当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]Swing的问题
帖子发表于 : 2007-06-02 15:49 
头像

注册: 2006-10-21 17:06
帖子: 90
送出感谢: 0 次
接收感谢: 0 次
用swing编写一个简单的程序,可是在linux下却不成功,而用windows 的可以通过.已经装来JDK1.6的
以下是提示的问题:

Exception in thread "main" java.lang.ClassFormatError: Hello (unrecognized class file version)
at java.lang.VMClassLoader.defineClass(libgcj.so.70)
at java.lang.ClassLoader.defineClass(libgcj.so.70)
at java.security.SecureClassLoader.defineClass(libgcj.so.70)
at java.net.URLClassLoader.findClass(libgcj.so.70)
at gnu.gcj.runtime.SystemClassLoader.findClass(libgcj.so.70)
at java.lang.ClassLoader.loadClass(libgcj.so.70)
at java.lang.ClassLoader.loadClass(libgcj.so.70)
at gnu.java.lang.MainThread.run(libgcj.so.70)


附件:
HelloWorld.tar.gz [526 Bytes]
被下载 21 次
页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-06-02 23:01 

注册: 2007-06-01 1:35
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
写下你怎么运行的,命令以及参数


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-06-03 1:23 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10116
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 128
需要设置jdk6的java为默认,参考设置指南。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-06-06 16:23 
头像

注册: 2006-10-21 17:06
帖子: 90
送出感谢: 0 次
接收感谢: 0 次
已经设置为JDK6了的!不过还是一样的问题!郁闷以下.....


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-06-07 22:10 

注册: 2007-04-20 13:01
帖子: 14
送出感谢: 1
接收感谢: 0 次
我是运行mercury的时候遇到这个问题的,显示的错误跟你一模一样。在网上找的结果是卸载所有gcj的东西,我就是在新立德里卸载的,果然运行程序就没问题了。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: [问题]Swing的问题
帖子发表于 : 2007-06-08 11:57 
头像

注册: 2006-05-03 0:39
帖子: 8273
地址: المريخ
送出感谢: 0 次
接收感谢: 1
raulvii 写道:
用swing编写一个简单的程序,可是在linux下却不成功,而用windows 的可以通过.已经装来JDK1.6的
以下是提示的问题:

Exception in thread "main" java.lang.ClassFormatError: Hello (unrecognized class file version)
at java.lang.VMClassLoader.defineClass(libgcj.so.70)
at java.lang.ClassLoader.defineClass(libgcj.so.70)
at java.security.SecureClassLoader.defineClass(libgcj.so.70)
at java.net.URLClassLoader.findClass(libgcj.so.70)
at gnu.gcj.runtime.SystemClassLoader.findClass(libgcj.so.70)
at java.lang.ClassLoader.loadClass(libgcj.so.70)
at java.lang.ClassLoader.loadClass(libgcj.so.70)
at gnu.java.lang.MainThread.run(libgcj.so.70)
jre的版本和你这个class文件的版本对不上呀
你在windows上用什么版本的jdk编译就在linux下用什么版本的jre运行
ubuntu下你可能装有多个jre,系统默认使用的可能不是你想要的版本


_________________
PHP是最好的语言!不服来战!


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-06-09 22:14 

注册: 2007-04-17 0:42
帖子: 40
送出感谢: 0 次
接收感谢: 0 次
我认为:关键是编译器和解释器要一致,检查一下java和javac的version把。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
cron
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译